List Events

Returns a list of Events. * Pass `organization` parameter to return events for that organization (requires admin/owner privilege) * Pass `user` parameter to return events for a specific User * Pass `group` parameter to return events for a specific Group (requires organization admin/owner or group admin privilege) **NOTES:** * If you are the admin/owner of the organization, you can use both `organization` and `user` to get a list of events for a specific user within your organization. * If you are the admin/owner of the organization, you can use both `organization` and `group` to get a list of events for a specific group within your organization. * `user` can only be used alone when requesting your own personal events. This will return your events within any organization that you are currently in or were a part of in the past. <Info title="Required scopes"> > `scheduled_events:read` </Info>

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Query parameters

userstringOptionalformat: "uri"
Return events that are scheduled with the user associated with this URI
organizationstringOptionalformat: "uri"
Return events that are scheduled with the organization associated with this URI
invitee_emailstringOptionalformat: "email"
Return events that are scheduled with the invitee associated with this email address
statusenumOptional

Whether the scheduled event is active or canceled

Allowed values:
sortstringOptional

Order results by the specified field and direction. Accepts comma-separated list of {field}:{direction} values. Supported fields are: start_time. Sort direction is specified as: asc, desc.

min_start_timestringOptionalformat: "date-time"

Include events with start times after this time (sample time format: “2020-01-02T03:04:05.678123Z”). This time should use the UTC timezone.

max_start_timestringOptionalformat: "date-time"

Include events with start times prior to this time (sample time format: “2020-01-02T03:04:05.678123Z”). This time should use the UTC timezone.

page_tokenstringOptional
The token to pass to get the next or previous portion of the collection
countintegerOptional1-100Defaults to 20
The number of rows to return
groupstringOptionalformat: "uri"
Return events that are scheduled with the group associated with this URI

Response

OK
collectionlist of objects
The set of scheduled events matching the criteria
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error